<?php
/* Busqueda de registros de la tabla PR_ListaItem redefinidos por el usuario. */
class PR_ListaItemFN extends BasePR_ListaItemFN
{
    public function selectPromoPublicxItem()
    {
        $a_PR_ListaItemBN = array();
        $s_Sql = "SELECT PR_Grupo.DescripcionPromo, PR_ListaItem.*
                    FROM PR_Grupo
                      INNER JOIN PR_ListaItem ON PR_Grupo.IdPrGrupo=PR_ListaItem.IdPrGrupo
                    WHERE 1=1
                    AND PR_ListaItem.IdItem='{$this->getIdItem()}'
                    AND PR_Grupo.Estado='".PR_GrupoBN::ESTADO_PUBLICADO."'
                    AND PR_Grupo.IdSucursal='{$this->getIdSucursal()}';";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        while( $o_ResultSet->next() ) 
        {
            $a_SQLRow = $o_ResultSet->getRow();
            $o_PR_ListaItemBN = $this->insertObjectBN( $a_SQLRow );
            $o_PR_ListaItemBN->setDescripcionPromo( $a_SQLRow['DescripcionPromo'] );
            $a_PR_ListaItemBN[] = $o_PR_ListaItemBN;
        }
        
        return $a_PR_ListaItemBN;
    }
}
?>